Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.search
Interface IndexBuildItem

All Superinterfaces:
  Serializable, XMLizable

    public interface IndexBuildItem

extends XMLizable, Serializable

An individual item within a `IndexBuildSpecification`. Specifies the `getName()` name of a CAS type, a `index rule`, and an optional `filter`.

This object implements the `XMLizable` interface and can be parsed from an XML representation.

Method Summary
`Filter` | `getFilter()` Gets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item.
`IndexRule` | `getIndexRule()` Gets the `IndexRule` that defines how annotations matching this build item should be indexed.
`String` | `getName()` Gets the name of the CAS type for which this item defines the indexing behavior.
`void` | `setFilter(Filter aFilter)` Sets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item.
`void` | `setIndexRule(IndexRule aRule)` Sets the `IndexRule` that defines how annotations matching this build item should be indexed.
`void` | `setName(String aName)` Sets the name of the CAS type for which this item defines the indexing behavior.

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getName

    String getName()

  Gets the name of the CAS type for which this item defines the indexing behavior.

  Returns:
    the CAS type name for this build item

### setName

    void setName(String aName)

  Sets the name of the CAS type for which this item defines the indexing behavior.

  Parameters:
    `aName` - the CAS type name for this build item

### getIndexRule

    IndexRule getIndexRule()

  Gets the `IndexRule` that defines how annotations matching this build item should be indexed.

  Returns:
    the indexing rule for this build item

### setIndexRule

    void setIndexRule(IndexRule aRule)

  Sets the `IndexRule` that defines how annotations matching this build item should be indexed.

  Parameters:
    `aRule` - the indexing rule for this build item

### getFilter

    Filter getFilter()

  Gets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item. Filters are optional; if none is specified then this rule applies to all instances of the named CAS type.

  Returns:
    the Filter for this build item, null if none

### setFilter

    void setFilter(Filter aFilter)

  Sets the `Filter` that identifies which instances of the named CAS type are governed by the index rule for this item. Filters are optional; if none is specified then this rule applies to all instances of the named CAS type.

  Parameters:
    `aFilter` - the Filter for this build item, null if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.